All users were logged out of Bugzilla on October 13th, 2018

Intermittent devtools/client/debugger/new/test/mochitest/browser_dbg-chrome-debugging.js | A promise chain failed to handle a rejection: Invalid process ID: 0 - rejection date: Sun Jun 18 2017 19:54:25 GMT+0000 (UTC) - stack: onFailure@resource://gre/modu

REOPENED
Unassigned

Status

REOPENED
a year ago
14 days ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure, leave-open})

unspecified
Firefox 56
intermittent-failure, leave-open

Firefox Tracking Flags

(firefox56 fixed)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment)

16 failures in 170 pushes (0.094 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 8
* mozilla-inbound: 6
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 10
* windows7-32-vm: 4
* windows8-64: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-06-21&endday=2017-06-21&tree=all
this started on June 18th on debug/asan, heavily on linux64-asan.

here is a log for linux64-asan:
https://treeherder.mozilla.org/logviewer.html#?repo=try&job_id=109237058

and data from the log:
[task 2017-06-22T15:23:35.212650Z] 15:23:35     INFO - TEST-START | devtools/client/debugger/new/test/mochitest/browser_dbg-chrome-debugging.js
[task 2017-06-22T15:23:36.550652Z] 15:23:36     INFO - GECKO(1107) | JavaScript warning: resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/builtin-modules.js, line 152: DebuggeeWouldRun: debuggee `resource://gre/modules/commonjs/toolkit/loader.js:864' would run
[task 2017-06-22T15:23:36.667683Z] 15:23:36     INFO - GECKO(1107) | JavaScript warning: resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/builtin-modules.js, line 152: DebuggeeWouldRun: debuggee `resource://gre/modules/commonjs/toolkit/loader.js:864' would run
[task 2017-06-22T15:23:38.104603Z] 15:23:38     INFO - TEST-INFO | started process screentopng
[task 2017-06-22T15:23:40.179964Z] 15:23:40     INFO - TEST-INFO | screentopng: exit 0
[task 2017-06-22T15:23:40.190449Z] 15:23:40     INFO - Buffered messages logged at 15:23:35
[task 2017-06-22T15:23:40.192275Z] 15:23:40     INFO - Entering test bound 
[task 2017-06-22T15:23:40.194488Z] 15:23:40     INFO - TEST-PASS | devtools/client/debugger/new/test/mochitest/browser_dbg-chrome-debugging.js | Root actor should identify itself as a browser. - 
[task 2017-06-22T15:23:40.198993Z] 15:23:40     INFO - Buffered messages logged at 15:23:37
[task 2017-06-22T15:23:40.201539Z] 15:23:40     INFO - Console message: [JavaScript Warning: "DebuggeeWouldRun: debuggee `resource://gre/modules/commonjs/toolkit/loader.js:864' would run" {file: "resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/builtin-modules.js" line: 152}]
[task 2017-06-22T15:23:40.203917Z] 15:23:40     INFO - TEST-PASS | devtools/client/debugger/new/test/mochitest/browser_dbg-chrome-debugging.js | Received a new chrome source: chrome://browser/content/tabbrowser.xml - 
[task 2017-06-22T15:23:40.214499Z] 15:23:40     INFO - TEST-PASS | devtools/client/debugger/new/test/mochitest/browser_dbg-chrome-debugging.js | Received a new chrome global. - 
[task 2017-06-22T15:23:40.219585Z] 15:23:40     INFO - Console message: [JavaScript Warning: "DebuggeeWouldRun: debuggee `resource://gre/modules/commonjs/toolkit/loader.js:864' would run" {file: "resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/shared/builtin-modules.js" line: 152}]
[task 2017-06-22T15:23:40.224616Z] 15:23:40     INFO - Buffered messages finished
[task 2017-06-22T15:23:40.236850Z] 15:23:40     INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/new/test/mochitest/browser_dbg-chrome-debugging.js | A promise chain failed to handle a rejection: Invalid process ID: 0 - rejection date: Thu Jun 22 2017 15:23:34 GMT+0000 (UTC) - stack: onFailure@resource://gre/modules/subprocess/subprocess_common.jsm:121:5
[task 2017-06-22T15:23:40.240325Z] 15:23:40     INFO - onmessage@resource://gre/modules/subprocess/subprocess_common.jsm:107:9
[task 2017-06-22T15:23:40.242219Z] 15:23:40     INFO -  - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2017-06-22T15:23:40.246240Z] 15:23:40     INFO - Stack trace:
[task 2017-06-22T15:23:40.247801Z] 15:23:40     INFO -     resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2017-06-22T15:23:40.249385Z] 15:23:40     INFO -     chrome://mochikit/content/browser-test.js:Tester_execTest/<:801
[task 2017-06-22T15:23:40.250806Z] 15:23:40     INFO -     Tester_execTest@chrome://mochikit/content/browser-test.js:774:9
[task 2017-06-22T15:23:40.253586Z] 15:23:40     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:686:7
[task 2017-06-22T15:23:40.255230Z] 15:23:40     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
[task 2017-06-22T15:23:40.262210Z] 15:23:40     INFO - Leaving test bound 
[task 2017-06-22T15:23:40.266359Z] 15:23:40     INFO - Removing tab.
[task 2017-06-22T15:23:40.268308Z] 15:23:40     INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2017-06-22T15:23:40.271365Z] 15:23:40     INFO - Got event: 'TabClose' on [object XULElement].
[task 2017-06-22T15:23:40.279675Z] 15:23:40     INFO - Tab removed and finished closing
[task 2017-06-22T15:23:40.281808Z] 15:23:40     INFO - GECKO(1107) | MEMORY STAT | vsize 20974067MB | residentFast 885MB
[task 201
7-06-22T15:23:40.287025Z] 15:23:40     INFO - TEST-OK | devtools/client/debugger/new/test/mochitest/browser_dbg-chrome-debugging.js | took 3498ms


:jlast, this is trending fast, 38 failures in the last week and a higher rate in recent days- could you get this resolved in the next 2 weeks or help find someone to resolve this?
Flags: needinfo?(jlaster)
Whiteboard: [stockwell needswork]
48 failures in 892 pushes (0.054 failures/push) were associated with this bug in the last 7 days. 

This is the #41 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 23
* mozilla-inbound: 16
* mozilla-central: 5
* try: 4

Platform breakdown:
* linux64: 23
* windows7-32-vm: 20
* windows8-64: 2
* linux64-ccov: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-06-19&endday=2017-06-25&tree=all
16 failures in 193 pushes (0.083 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 8
* mozilla-inbound: 7
* mozilla-central: 1

Platform breakdown:
* linux64: 10
* windows7-32-vm: 5
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-06-29&endday=2017-06-29&tree=all
83 failures in 718 pushes (0.116 failures/push) were associated with this bug in the last 7 days. 

This is the #11 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 36
* autoland: 33
* mozilla-central: 8
* try: 6

Platform breakdown:
* linux64: 49
* windows7-32-vm: 30
* osx-10-10: 3
* windows10-64-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-06-26&endday=2017-07-02&tree=all
I believe that this test spiked for the same reason that the browser toolbox test spiked two weeks ago. We have a patch [1] that should land this week, which will help address them both.

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=1376135
Flags: needinfo?(jlaster)
18 failures in 152 pushes (0.118 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 7
* mozilla-inbound: 6
* try: 3
* mozilla-central: 2

Platform breakdown:
* linux64: 10
* windows7-32-vm: 6
* windows8-64: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-07-05&endday=2017-07-05&tree=all
(In reply to Jason Laster [:jlast] from comment #6)
> I believe that this test spiked for the same reason that the browser toolbox
> test spiked two weeks ago. We have a patch [1] that should land this week,
> which will help address them both.
> 
> [1] https://bugzilla.mozilla.org/show_bug.cgi?id=1376135

That seemed to help, but failures continue...I expect perhaps about 30/week now.
We had a new release yesterday that added further perf wins. Lets see if the rate goes down a bit.
53 failures in 656 pushes (0.081 failures/push) were associated with this bug in the last 7 days. 

This is the #22 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 25
* mozilla-inbound: 16
* try: 7
* mozilla-central: 4
* cedar: 1

Platform breakdown:
* linux64: 31
* windows7-32-vm: 13
* windows8-64: 4
* osx-10-10: 3
* osx-cross: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-07-03&endday=2017-07-09&tree=all
:jlast will this test be ok to disable and be deprecated in 2 weeks when 56 goes to beta?
Flags: needinfo?(jlaster)
24 failures in 720 pushes (0.033 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 9
* mozilla-inbound: 8
* try: 5
* mozilla-central: 2

Platform breakdown:
* linux64: 16
* osx-10-10: 5
* windows7-32-vm: 1
* windows7-32: 1
* windows10-64-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-07-10&endday=2017-07-16&tree=all
40 failures in 822 pushes (0.049 failures/push) were associated with this bug in the last 7 days. 

This is the #44 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 19
* mozilla-inbound: 13
* try: 3
* pine: 3
* mozilla-central: 1
* cedar: 1

Platform breakdown:
* windows7-32: 21
* linux64: 9
* osx-10-10: 6
* windows8-64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-07-17&endday=2017-07-23&tree=all
Created attachment 8889648 [details] [diff] [review]
disable test on debug

there are a few e10s failures, but debug is there for all failures.
Attachment #8889648 - Flags: review?(wkocher)
Attachment #8889648 - Flags: review?(wkocher) → review+

Comment 15

a year ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/ae95f5d9d6a3
Intermittent devtools/client/debugger/new/test/mochitest/browser_dbg-chrome-debugging.js. skip on deug. r=KWierso

Comment 16

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/ae95f5d9d6a3
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox56: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 56
Status: RESOLVED → REOPENED
Keywords: leave-open
Resolution: FIXED → ---
Whiteboard: [stockwell needswork] → [stockwell disabled]
29 failures in 1008 pushes (0.029 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 16
* mozilla-inbound: 9
* mozilla-central: 3
* try: 1

Platform breakdown:
* linux64: 25
* windows7-32: 2
* linux64-ccov: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-07-24&endday=2017-07-30&tree=all
25 failures in 888 pushes (0.028 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 16
* mozilla-inbound: 7
* try: 2

Platform breakdown:
* linux64: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-07-31&endday=2017-08-06&tree=all
1 failures in 949 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-08-14&endday=2017-08-20&tree=all
2 failures in 908 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* windows7-32-devedition: 1
* linux64-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-08-21&endday=2017-08-27&tree=all
1 failures in 939 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-08-28&endday=2017-09-03&tree=all
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* linux32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-09-04&endday=2017-09-10&tree=all
1 failures in 1032 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-09-11&endday=2017-09-17&tree=all
7 failures in 885 pushes (0.008 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 3
* autoland: 3
* try: 1

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-09-25&endday=2017-10-01&tree=all
10 failures in 824 pushes (0.012 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 4
* mozilla-inbound: 2
* mozilla-beta: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 8
* osx-10-10: 1
* linux64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-10-02&endday=2017-10-08&tree=all
10 failures in 947 pushes (0.011 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 4
* mozilla-inbound: 3
* try: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-10-09&endday=2017-10-15&tree=all
2 failures in 864 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-10-16&endday=2017-10-22&tree=all
Flags: needinfo?(jlaster)
1 failures in 912 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-10-23&endday=2017-10-29&tree=all
1 failures in 849 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-11-06&endday=2017-11-12&tree=all
2 failures in 762 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2

Platform breakdown:
* windows7-32: 1
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-11-13&endday=2017-11-19&tree=all
2 failures in 744 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 1
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-11-20&endday=2017-11-26&tree=all
5 failures in 792 pushes (0.006 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* windows7-32: 3
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-11-27&endday=2017-12-03&tree=all
3 failures in 889 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 2
* mozilla-inbound: 1

Platform breakdown:
* linux64-ccov: 2
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-12-04&endday=2017-12-10&tree=all
9 failures in 423 pushes (0.021 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 7
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 7
* linux64-ccov: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-12-11&endday=2017-12-17&tree=all
7 failures in 590 pushes (0.012 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 3
* autoland: 3
* mozilla-central: 1

Platform breakdown:
* windows7-32: 3
* linux64: 2
* osx-10-10: 1
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-12-18&endday=2017-12-24&tree=all
2 failures in 147 pushes (0.014 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2017-12-25&endday=2017-12-31&tree=all
2 failures in 462 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2

Platform breakdown:
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2018-01-01&endday=2018-01-07&tree=all
3 failures in 788 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* windows7-32: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2018-01-08&endday=2018-01-14&tree=all
1 failures in 657 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2018-01-15&endday=2018-01-21&tree=all
3 failures in 701 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 2
* try: 1

Platform breakdown:
* windows10-64-ccov: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2018-01-22&endday=2018-01-28&tree=all
1 failures in 814 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374187&startday=2018-03-12&endday=2018-03-18&tree=all

Updated

4 months ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.